/* SCCS @(#)proathdt.layout.c	1.1  12/2/92 */
/************************************************************************/
/************************************************************************/
/*                                                                      */
/*                      proathdt.layout.c                               */
/*                                                                      */
/************************************************************************/
/************************************************************************/
/*                                                                      */
/* FILENAME     :   proathdt.layout.c                                   */
/*                                                                      */
/* DESCRIPTION  :   Processing : Dynamic thresholding                   */
/*                                                                      */
/* AUTHORS      :   Marianne Logean                                     */
/*                                                                      */
/* VERSION      :   1.0                                                 */
/*                                                                      */
/* HISTORY      :   1.12.92                                             */
/*                  MAL         Created    version: 1.0                 */
/*                                                                      */
/* Copyright  1992 by CUI/UIN/HCUG, All rights reserved.                */
/*                                                                      */
/************************************************************************/
/************************************************************************/

#include "widgetstructure.h"
#include "proathdt.layout.h"
#define MAX_ARGS 100

extern XmFontList gFontlist, gSmall_fontlist;

static Widget Block_size_text_24;


void
update_Block_size_text_24(pushbutton, no_block, callData)
	Widget pushbutton;
	int no_block;
	caddr_t callData;
{
char block[4];
sprintf(block, "%d", no_block);
XmTextSetString (Block_size_text_24, block);
}


/********************************************************
/   Creation Function for PRO_dynamic_threshold_param_widget 
/*******************************************************/

xs_struc_paramprepro
* build_PRO_dynamic_threshold_param_widget(PRO_threshold_dynamic_param)
	Widget PRO_threshold_dynamic_param;
{
	Widget PRO_dynamic_threshold_param_widget;
	Widget Label_4;
	Widget Label_5;
	Widget Block_size_OptionMenu_18;
	Widget Block_size_OptionPulldown_19;
	Widget n_n_PushButton_20;
	Widget n_2_PushButton_21;
	Widget n_4_PushButton_22;
	Widget n_8_PushButton_23;
	xs_struc_paramprepro *Paramprepro;
	Arg args[MAX_ARGS];
	int n;

	Paramprepro = 
	  (xs_struc_paramprepro *) malloc (sizeof (xs_struc_paramprepro));

	/* Creating PRO_dynamic_threshold_param_widget Widget */ 

	n = 0;
	XtSetArg(args[n],XmNheight,240); n++;
	XtSetArg(args[n],XmNresizePolicy,XmRESIZE_NONE); n++;
	XtSetArg(args[n],XmNwidth,199); n++;
	XtSetArg(args[n],XmNx,1); n++;

	PRO_dynamic_threshold_param_widget = 
	   XmCreateForm(PRO_threshold_dynamic_param,
			"PRO_dynamic_threshold_param_widget",args,n);
	XtManageChild(PRO_dynamic_threshold_param_widget);

	Paramprepro->parent = PRO_dynamic_threshold_param_widget;

	/* Creating Label_4 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(paneltabs[267],
			XmSTRING_DEFAULT_CHARSET)); n++;
	XtSetArg(args[n],XmNtopAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNtopPosition,5); n++;

	Label_4 = XmCreateLabel(PRO_dynamic_threshold_param_widget,
				"Label_4",args,n);
	XtManageChild(Label_4);

	/* Creating Label_5 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate(paneltabs[482],
			XmSTRING_DEFAULT_CHARSET)); n++;
	XtSetArg(args[n],XmNleftAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNleftPosition,5); n++;
	XtSetArg(args[n],XmNtopAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNtopPosition,40); n++;

	Label_5 = XmCreateLabel(PRO_dynamic_threshold_param_widget,
				"Label_5",args,n);
	XtManageChild(Label_5);

	/* Creating Block_size_OptionMenu_18 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNleftAttachment,XmATTACH_WIDGET); n++;
	XtSetArg(args[n],XmNleftWidget, Label_5); n++;
	XtSetArg(args[n],XmNtopAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNtopPosition,40); n++;

	Block_size_OptionMenu_18 = 
	  CreateOptionMenu(PRO_dynamic_threshold_param_widget,
			   "Block_size_OptionMenu_18",args,n);
	XtManageChild(Block_size_OptionMenu_18);

	/* Creating Block_size_text_24 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNleftAttachment,XmATTACH_WIDGET); n++;
	XtSetArg(args[n],XmNleftWidget,Block_size_OptionMenu_18); n++;
	XtSetArg(args[n],XmNrightAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNrightPosition,95); n++;
	XtSetArg(args[n],XmNtopAttachment,XmATTACH_POSITION); n++;
	XtSetArg(args[n],XmNtopPosition,40); n++;
	XtSetArg(args[n],XmNvalue, "2"); n++;
	XtSetArg(args[n],XmNfontList, gSmall_fontlist); n++;

	Block_size_text_24 = XmCreateText(PRO_dynamic_threshold_param_widget,
					  "Block_size_text_24",args,n);
	XtManageChild(Block_size_text_24);

	Paramprepro->alpha = Block_size_text_24;


	/* Creating Block_size_OptionPulldown_19 Widget */ 


	Block_size_OptionPulldown_19 = 
	   CreateOptionPulldown(Block_size_OptionMenu_18,
				"Block_size_OptionPulldown_19",NULL,0);

	/* Creating n_n_PushButton_20 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate("(nxn)",
			XmSTRING_DEFAULT_CHARSET)); n++;

	n_n_PushButton_20 = XmCreatePushButton(Block_size_OptionPulldown_19,
					       "n_n_PushButton_20",args,n);
	XtManageChild(n_n_PushButton_20);

	/* Creating n_2_PushButton_21 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate("2",
			XmSTRING_DEFAULT_CHARSET)); n++;

	n_2_PushButton_21 = XmCreatePushButton(Block_size_OptionPulldown_19,
					       "n_2_PushButton_21",args,n);
	XtManageChild(n_2_PushButton_21);

	/* Adding Callbacks for  n_2_PushButton_21 Widget */ 

	XtAddCallback(n_2_PushButton_21,
		XmNactivateCallback,update_Block_size_text_24, 2);


	/* Creating n_4_PushButton_22 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate("4",
			XmSTRING_DEFAULT_CHARSET)); n++;

	n_4_PushButton_22 = XmCreatePushButton(Block_size_OptionPulldown_19,
					       "n_4_PushButton_22",args,n);
	XtManageChild(n_4_PushButton_22);

	/* Adding Callbacks for  n_4_PushButton_22 Widget */ 

	XtAddCallback(n_4_PushButton_22,
		XmNactivateCallback,update_Block_size_text_24, 4);

	/* Creating n_8_PushButton_23 Widget */ 

	n = 0;
	XtSetArg(args[n],XmNfontList, gFontlist); n++;
	XtSetArg(args[n],XmNlabelString,
		XmStringLtoRCreate("8",
			XmSTRING_DEFAULT_CHARSET)); n++;

	n_8_PushButton_23 = XmCreatePushButton(Block_size_OptionPulldown_19,
					       "n_8_PushButton_23",args,n);
	XtManageChild(n_8_PushButton_23);

	/* Adding Callbacks for  n_8_PushButton_23 Widget */ 

	XtAddCallback(n_8_PushButton_23,
		XmNactivateCallback,update_Block_size_text_24, 8);

	n = 0;
	XtSetArg(args[n],XmNmenuHistory, n_2_PushButton_21); n++;
	XtSetValues(Block_size_OptionPulldown_19,args, n); 

	return(Paramprepro);
}


